body {
  font-family: "Sarabun", sans-serif;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-weight: bold;
  font-family: "Sarabun", sans-serif;
  color: #415c77;
}
a {
    color: #eb5c08;
}
a.dropdown-item:hover {
    background-color: #eb5c08;
}
a.dropdown-item:hover {
    color: white !important;
}

.pagelayout-standard #page.drawers .main-inner,
body.limitedwidth #page.drawers .main-inner {
  max-width: 1200px;
  margin-top: 0;
}

.drawer-toggles .drawer-toggler .btn {
  background-color: #eb5c08;
  color: #fff;
}

.form-control {
  display: block;
  width: 100%;
  height: auto;
  font-size: 1.1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #682b7a;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #d8d8d8;
  border-radius: 0px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-control::placeholder {
  color: #707070;
  opacity: 1;
}

.btn {
  border: none;
  border-radius: 20px;
  transition: all 0.3s ease;
  font-weight: 600;
  letter-spacing: 0.5px;
}
.btn-primary {
  border: #eb5c08 1px solid;
  background: linear-gradient(135deg, #FF6B35 0%, #F7931E 100%);
  box-shadow: 0 3px 10px rgba(255, 107, 53, 0.3);
  color: #fff;
  padding: 12px 30px !important;
}
.btn-outline-secondary {
  color: #682b7a;
  border-color: #682b7a;
}
.btn-outline-secondary:hover {
  background-color: #707070;
  color: #682b7a;
}
.btn-block {
  color: #682b7a !important;
  border: 1px solid #682b7a !important;
}
.btn-block:hover {
  background-color: rgba(112, 112, 112, 0.2);
}
.btn-footer-popover {
  border: #eb5c08 1px solid;
  background-color: #eb5c08 !important;
  color: #fff;
}

nav.navbar {
  background-color: #fff !important;
  height: 78px !important;
  padding: 1rem !important;
  border: none !important;
}
nav.navbar .nav-link {
  color: #000 !important;
  position: relative;
  font-size: 1rem;
  border: none !important;
}
nav.navbar .nav-link:hover, nav.navbar .nav-link:focus {
  background-color: rgba(255, 255, 255, 0.1) !important;
  transition: transform 0.3s;
  color: #eb5c08 !important;
  font-weight: 600;
}
nav.navbar .nav-link:hover::after {
  opacity: 1;
}
nav.navbar .nav-link.active {
  border: none;
  color: #eb5c08 !important;
  font-weight: bold;
}
nav.navbar .nav-link.active::after {
  opacity: 1;
}
nav.navbar .navbar-brand .logo {
  height: 100%;
}

nav.navbar #usernavigation .usermenu-container a {
  color: #000;
}
nav.navbar #usernavigation .editmode-switch-form {
  color: #000;
}
nav.navbar #usernavigation .divider {
  width: 2px !important;
  height: 50% !important;
}
nav.navbar #usernavigation .dropdown-menu {
  background-color: white;
  border-color: #707070 1px solid;
}
nav.navbar #usernavigation .dropdown-menu a {
  color: #000;
}
nav.navbar #usernavigation .dropdown-menu a.hover {
  color: #fff !important;
}
nav.navbar #usernavigation .dropdown-menu .dropdown-divider {
  border-top: #eb5c08 1px solid;
}
nav.navbar #usernavigation .dropdown-menu .dropdown-item {
  color: #000;
}
nav.navbar #usernavigation .dropdown-menu .dropdown-item.hover {
  background-color: #eb5c08;
  color: #fff;
}

.secondary-navigation .navigation {
  border-bottom: none;
}
.secondary-navigation .navigation .nav-tabs {
  border-radius: none;
  padding: 0.5rem;
  align-items: center;
}
.secondary-navigation .navigation .nav-tabs .nav-item .nav-link {
  border: none;
  color: #000;
  height: 43px;
  font-size: 0.8rem;
}
.secondary-navigation .navigation .nav-tabs .nav-item .nav-link.active {
  background-color: rgba(235, 92, 8, 0.3);
  font-weight: bold;
  color: #eb5c08;
}

.table-responsive .generaltable thead th {
  border: none !important;
  color: #707070;
  padding: 0 0.75rem 0.75rem 0.75rem;
}
.table-responsive tbody .icon {
  color: #eb5c08;
}

body.path-login #page {
  background-size: contain !important;
  background-repeat: no-repeat;
  background-image: url("/pluginfile.php/1/theme_boost/loginbackgroundimage/1697818258/bg_login.png");
}
body.path-login .login-wrapper {
  justify-content: right;
  align-items: flex-start;
}
body.path-login .login-wrapper .login-container {
  box-shadow: none;
  border-radius: 20px;
  margin-right: 8%;
  margin-top: 1rem;
  width: 630px;
  max-width: 700px;
  padding: 2rem;
}
body.path-login .login-wrapper .login-container .login-logo {
  margin-bottom: 2rem;
}
body.path-login .login-wrapper .login-container .login-logo #logoimage {
  width: 250px;
}
body.path-login .login-form label.sr-only {
  position: relative;
  width: auto;
  height: auto;
  color: #682b7a;
  font-weight: bold;
  padding-left: 1rem;
  font-size: 1.1rem;
}
body.path-login .login-form .form-control {
  padding: 1rem;
  border-radius: 0px;
}
.login-bg-image
 {
    height: 150vh !important;
}

#page-site-index .section.course-section.main.clearfix {
  padding: 0;
}
#page-site-index .carousel-container.show {
  visibility: visible;
  opacity: 1;
  z-index: -1;
}
#page-site-index .slideshow-container {
  position: relative;
  margin: auto;
  max-width: 92%;
}
#page-site-index .mySlides img {
  width: 100%;
  height: 25% !important;
}
#page-site-index .prev, #page-site-index .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: #E90172;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
}
#page-site-index .next {
  right: 0;
  border-radius: 3px 0 0 3px;
}
#page-site-index .prev:hover, #page-site-index .next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}
#page-site-index .dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}
#page-site-index .dot-block .active, #page-site-index .dot:hover {
  background-color: #717171;
}
#page-site-index .fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1s; /* Adjust the duration to your preference */
  animation-name: fade;
  animation-duration: 1s; /* Adjust the duration to your preference */
}
#page-site-index .fade:not(.show) {
  opacity: 1 !important;
}
@media only screen and (max-width: 768px) {
  #page-site-index {
    /* Styles for screens up to 768px width */
  }
  #page-site-index .slider-text h1 {
    width: 80%;
    font-size: 1.5em;
  }
  #page-site-index .slider-text p {
    width: 60%;
    margin-left: 20px;
    padding-left: 20px;
  }
  #page-site-index .mySlides .slider-text {
    position: absolute;
    top: 0%;
    left: 5%;
    color: #fff;
    width: 80%;
    text-transform: capitalize;
  }
}
@media only screen and (max-width: 480px) {
  #page-site-index {
    /* Styles for screens up to 480px width */
  }
  #page-site-index .slider-text h1 {
    width: 100%;
    font-size: 1.2em;
  }
  #page-site-index .slider-text p {
    width: 100%;
    margin-left: 0;
    padding-left: 0;
  }
}
@-webkit-keyframes fade {
  from {
    opacity: 1;
  }
  to {
    opacity: 1;
  }
}
@keyframes fade {
  from {
    opacity: 1;
  }
  to {
    opacity: 1;
  }
}
@media only screen and (max-width: 300px) {
  #page-site-index .prev, #page-site-index .next, #page-site-index .text {
    font-size: 11px;
  }
}
#page-site-index .dot-block {
  position: relative;
  bottom: 30px;
  text-align: center;
}
#page-site-index #frontpage-category-combo {
  border: 2px solid #682b7a;
  padding: 2rem;
  border-bottom: 7px solid #682b7a;
}
#page-site-index .home-banner {
  position: relative;
  height: 450px;
  overflow: hidden;
  margin-bottom: 1rem;
}
#page-site-index .home-banner .content {
  position: absolute;
  width: 40%;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.9);
  bottom: 40px;
  left: 40px;
  padding: 2rem;
}
@media (max-width: 768px) {
  #page-site-index .home-banner .content {
    width: 80%;
  }
}
#page-site-index .home-banner .content .title-banner {
  margin-bottom: 1rem;
  color: #fff;
}
#page-site-index .home-banner .content .info-content {
  margin-bottom: 2rem;
}
#page-site-index .home-banner .content .white-logo {
  width: 100px;
}
#page-site-index .home-banner .square-arrow {
  position: absolute;
  right: 40px;
  top: 40px;
  width: 60px;
  height: auto;
}
#page-site-index .home-banner .img-fluid {
  max-width: 100%;
  margin: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}
#page-site-index .frontpage-course-list-enrolled {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}
@media (max-width: 768px) {
  #page-site-index .frontpage-course-list-enrolled {
    gap: 1.5rem 0;
  }
}
#page-site-index .frontpage-course-list-enrolled .coursebox {
  margin-bottom: 0;
  flex-basis: calc(33.3% - 1.5rem);
  border-radius: 0px;
  box-shadow: 0px 7px 9px 0px rgba(0, 0, 0, 0.15), 0px 0px 4px 0px rgba(0, 0, 0, 0.17);
  height: auto;
  border: none;
  padding: 1.2rem;
}
@media (max-width: 1024px) {
  #page-site-index .frontpage-course-list-enrolled .coursebox {
    flex-basis: calc(50% - 1.5rem);
  }
}
@media (max-width: 768px) {
  #page-site-index .frontpage-course-list-enrolled .coursebox {
    flex-basis: 100%;
  }
}
#page-site-index .frontpage-course-list-enrolled .coursebox .coursename {
  font-weight: bold;
  font-size: 1.1rem;
}
#page-site-index .frontpage-course-list-enrolled .coursebox .content .d-flex {
  flex-wrap: wrap;
}
#page-site-index .frontpage-course-list-enrolled .coursebox .content .d-flex .courseimage {
  margin: 0;
  margin-bottom: 1.2rem;
  height: 180px;
  overflow: hidden;
}
#page-site-index .frontpage-course-list-enrolled .coursebox .content .d-flex .courseimage img {
  max-width: 100%;
  max-height: initial;
}
#page-site-index .frontpage-course-list-enrolled .coursebox .content .d-flex .summary {
  height: auto;
  margin: 0;
  color: #682b7a;
}
#page-site-index .courses > .paging.paging-morelink {
  flex-basis: 100%;
}
#page-site-index .courses > .paging.paging-morelink .btn-secondary {
  background-color: #eb5c08;
  border-color: #eb5c08;
}
#page-site-index .courses > .paging.paging-morelink .btn-secondary:hover {
  background-color: #f81028;
  border-color: #f4071f;
}
#page-site-index .frontpage-category-names {
  margin-bottom: 2rem;
}
#page-site-index .frontpage-category-names .collapsible-actions {
  display: none;
}
#page-site-index .frontpage-category-names .subcategories {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 1rem;
}
@media (max-width: 570px) {
  #page-site-index .frontpage-category-names .subcategories {
    gap: 1rem 0;
  }
}
#page-site-index .frontpage-category-names .subcategories .category.loaded {
  flex-basis: calc(33.3% - 1rem);
  box-shadow: 0px 7px 9px 0px rgba(0, 0, 0, 0.15), 0px 0px 4px 0px rgba(0, 0, 0, 0.17);
  padding: 1rem;
}
@media (max-width: 768px) {
  #page-site-index .frontpage-category-names .subcategories .category.loaded {
    flex-basis: calc(50% - 1rem);
  }
}
@media (max-width: 570px) {
  #page-site-index .frontpage-category-names .subcategories .category.loaded {
    flex-basis: 100%;
  }
}
#page-site-index .frontpage-category-names .subcategories .category.loaded .bg-color {
  background-color: #fff;
  height: 60px;
  background: linear-gradient(45deg, #fff 0%, #eb5c08 100%);
}
#page-site-index .frontpage-category-names .subcategories .category.loaded .categoryname {
  margin: 1rem 0 0 0;
  padding: 0 1rem;
  font-size: 1rem;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#page-site-index .frontpage-category-names .subcategories .category.loaded .categoryname a {
  color: #eb5c08 !important;
}
#page-site-index .frontpage-category-names .subcategories .category.loaded .categoryname .numberofcourse {
  background-color: #eb5c08;
  border-radius: 0px;
  color: #fff;
  padding: 0.25em 0.4em;
  font-size: 65%;
  font-weight: 700;
  vertical-align: baseline;
}
#page-site-index .box.py-3.d-flex.justify-content-center {
  padding: 2rem 0 !important;
}
#page-site-index .box.py-3.d-flex.justify-content-center .simplesearchform {
  width: 400px;
}
#page-site-index .box.py-3.d-flex.justify-content-center .simplesearchform .input-group {
  width: 100%;
  border-radius: 0px;
  overflow: hidden;
}
#page-site-index .box.py-3.d-flex.justify-content-center .simplesearchform .input-group .search-icon {
  padding: 1rem;
}

.pagelayout-mydashboard .block {
  border: none;
  box-shadow: 0 3px 10px rgba(164, 163, 162, 0.3);
}
.pagelayout-mydashboard .block .card-body {
  padding: 1.5rem !important;
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck {
  margin: 0;
  column-gap: 1rem;
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card {
  width: auto;
  max-width: initial;
  flex-basis: calc(33.3% - 1rem);
  background-color: #eb5c08;
  padding: 0.8rem;
  border-radius: 0px;
  border: none;
  color: #fff;
  margin: 0;
}
@media (max-width: 768px) {
  .pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card {
    flex-basis: calc(50% - 1rem);
  }
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card .dashboard-card-img {
  border-radius: 0px;
  height: 9rem;
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card .course-info-container {
  padding: 1rem 0 !important;
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card .course-info-container .coursename {
  color: #fff;
  font-weight: bold;
  font-size: 1rem;
}
.pagelayout-mydashboard .block_recentlyaccessedcourses .dashboard-card-deck .dashboard-card .course-info-container .text-muted {
  color: #fff !important;
}

.page-mycourses .block_myoverview .block-cards {
  border-top: none !important;
}
/*forms modification*/
#page-mod-questionnaire-preview label {
    width: 50%;
}
#page-mod-questionnaire-preview .no-overflow {
    overflow: hidden !important;
}
.qn-question, .qn-answer {
    margin: 0 0 .5em;
    overflow: hidden !important;
}
